
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>java方法参数传值传引用的一点看法 / iVAN</title>

    <meta name="description" content="java方法参数传值传引用的一点看法   java 跟C++不同,java的方法参数都是传值,没有传引用.很多人都以为是传引用,而且这种错误的观点很普遍,今天在这里具体分析一下.方法参数有基本类型,如int等,另外一种类型是OBJECT,对象.详细说一下方法参数是对象的,跟C++不同的是,JAVA方法参数传对象,传的是对这个对象引用的一份拷贝,即地址值,跟原来的引用都是指向同一个对象.所以说,JAVA方法参数传的都是值. 程序一 传的对象值是改变的.public class Test{public Test(){int [] cou">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">java方法参数传值传引用的一点看法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>  java 跟C++不同，java的方法参数都是传值，没有传引用。很多人都以为是传引用，而且这种错误的观点很普遍，今天在这里具体分析一下。方法参数有基本类型，如int等，另外一种类型是OBJECT，对象。详细说一下方法参数是对象的，跟C++不同的是，JAVA方法参数传对象，传的是对这个对象引用的一份拷贝，即地址值，跟原来的引用都是指向同一个对象。所以说，JAVA方法参数传的都是值。</p>
<p>程序一 传的对象值是改变的。<br />public class Test<br />{<br />public Test()<br />{<br />int [] count={5};<br />change(count);<br />System.out.println(count[0]);</p>
<p>}<br />public void change(int [] counts)<br />{<br />counts[0]=6;<br />System.out.println(counts[0]);<br />}<br />public static void main(String [] args)<br />{<br />Test t=new Test();<br />}</p>
<p>}</p>
<p>程序一中，输出结果都是6，change(count); 把对象的一份引用拷贝传给change（），这个拷贝跟原来的引用都是指向同一个对象。所以改变引用拷贝的值，对象的值也跟着改变。<br /> 程序2，传的对象值不改变<br />class Foo{<br />int i=0;<br />}<br />public class A{<br />public static void main(String args[]){<br />Foo f=new Foo();<br />add(f);<br />System.out.println(f.i);<br />}<br />public static void add(Foo f){<br />f=new Foo();<br />f.i++;<br />}<br />}</p>
<p>输出结果是0<br />程序2中，也是传一份引用的拷贝，但在 add()方法中，f=new Foo(); NEW出了一个新的对象，所以引用的拷贝指向了一个新的OBJECT。原来的值还是没有改变。<br /> 程序3 String 不改变，数组改变<br />public class Example{ <br />　　String str=new String("good"); <br />　　char[]ch={'a','b','c'}; <br />　　public static void main(String args[]){ <br />　　　　Example ex=new Example(); <br />　　　　ex.change(ex.str,ex.ch); <br />　　　　System.out.print(ex.str+" and "); <br />　　　　Sytem.out.print(ex.ch); <br />　　} <br />　　public void change(String str,char ch[]){ <br />　　　　str="test ok"; <br />　　　　ch[0]='g'; <br />　　} <br />}</p>
<p>程序3输出的是 good and gbc.<br />String 比较特别，是因为java在传string的时候把string当成基本类型来处理 。所以值是不变的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:44:06</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/public/" title="public">public</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.iamivan.net/tag/%e6%8b%b7%e8%b4%9d/" title="拷贝">拷贝</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/%e4%bc%a0%e5%bc%95%e7%94%a8/" title="传引用">传引用</a>, <a href="https://www.iamivan.net/tag/%e4%bc%a0%e5%8f%82%e6%95%b0/" title="传参数">传参数</a>, <a href="https://www.iamivan.net/tag/mybatis%e4%bc%a0%e5%8f%82%e6%95%b0/" title="mybatis传参数">mybatis传参数</a>, <a href="https://www.iamivan.net/tag/%e4%bc%a0%e5%80%bc%e4%bc%a0%e5%8f%82/" title="传值传参">传值传参</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>java方法参数传值传引用的一点看法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwy0J8M.html" rel="bookmark">Java方法参数是引用调用还是值调用&quest;&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法调用(call by) 是一个标准的计算机科学术语.方法调用根据参数传递的情况又分为值调用( call by reference ) 和引用调用( call by value ) .江湖上有很多关于这两种调用的定义 ,最通常的说法是传递值的是值调用,传递地址的是引用调用.这其实很不恰当,这种 这些说法很容易让我们联想到Java的对象参数传递是引用调用,实际上,Java的对象参数传递仍然是值调用 . 我们首先用一段代码来证实一下为什么Java的对象参数传递是值调用. public class			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM9NyXp.html" rel="bookmark">内部类-java方法参数的修饰符问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java方法参数的修饰符问题 java在写方法时,为什么有的方法参数用final修饰? 还有就是内部类存在的意义是什么? 也就是说方法中的内部类和类中的内部类各有什么应用场景(请有实战经验的大神各自举个例子)? //问题补充(关于方法中的内部类) 我的意思是: pubic class TestClass{ public void fun(){ public class Test1{ //........ } } } 解决方案 为了实现一些内容,常常需要这么玩: public void			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkmwVb.html" rel="bookmark">java方法参数什么时候可以省略数据类型声明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java方法参数什么时候可以省略数据类型声明 有时候我看到方法参数是一个匿名对象,那么匿名对象属于什么数据类型,是String类型吗,为什么没有数据类型的声明呢 解决方案 你说的匿名对象,是因为匿名对象本身是有返回值的,而返回值的类型恰好是构造方法的参数类型 A a = new A(new B()): 解决方案二: 看方法的定义,里面包含参数类型. 不知道你说的匿名对象是什么,直接调用构造函数,你可以从构造函数类名知道类型,如果是匿名类,那么这个类型是编译器产生的,实现了参数需要的接口			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDWRevp.html" rel="bookmark">获取Java方法参数的名称</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近有个需求,需要获取java方法参数的名称,网上查了下,然后自己也实践了下,总结出3点: 1.能不能获取方法参数的名称取决于class文件里是否含有LocalVariableTable. 2.javac编译生成的class文件不含有LocalVariableTable,但是eclipse编译生成的class文件却含有LocalVariableTable. 3.有2种方式可以获得,用Asm和Javassist,Asm的性能略高. 贴代码: maven依赖: &lt;dependency&gt; &lt;g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0nRgJz.html" rel="bookmark">java方法参数带双引号和不带双引号的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java方法参数带双引号和不带双引号的区别 java方法参数带双引号和不带双引号的区别 比如map.put( &quot; billNum&quot;,&quot;订单编号&quot;, +stateStr); 为什么会有加号,难道方法参数还可以是一个运算表达式 解决方案 map.put( &quot; billNum&quot;,&quot;订单编号&quot;, +stateStr); 这么写不合法 map.put( &quot; billNum&quot;,&quot;订单编号&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeol00M.html" rel="bookmark">java方法参数-java当中的方法的参数可以有n个不同类的对象吗</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java当中的方法的参数可以有n个不同类的对象吗 java当中的方法的参数可以有n个不同类的对象吗 java当中的方法的参数可以有n个不同类的对象吗 解决方案 可以 比如 button.setText(String str,int num,Mode mode) 解决方案二: DWR中Java方法的参数及返回值.对象javabean 解决方案三: 方法传参又没有限制,想传什么传什么! 解决方案四: 还可 test( Object... objs) 省略号里想传几个传几个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPP82Zp.html" rel="bookmark">Java方法的参数和返回类型统一为Map是否合理&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 开发一个Web应用. 主管要求 所有业务逻辑的Java方法参数和返回类型必须统一为Map类型.理由是将来扩展时接口不用修改.而且有多返回值的方法也好处理但是这样一来.返回一个String都要写成 Map resultMap = doXXXXX(paramMap);String result = (String)resultMap.get(&quot;resultStr&quot;);返回一个VOMap resultMap = doXXXXX(paramMap);XXXXVO resultVO =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1lAgob.html" rel="bookmark">java方法调用参数问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java方法调用参数问题 最近在看&lt;java编程思想&gt;,其中有一句话:[图片说明](http://img.ask.csdn.net/upload/201507/02/1435824299_513845.png) 既然参数是引用类型,于是我就做了一些试验: class A{ public void f(Integer i){ i = 10; } public void h(Data data){ data.i=2; data.str=&quot;abc&quot;; } } class			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWXrdmp.html" rel="bookmark">java多线程 参数已经传入构造方法 进入run方法时参数却被改变</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java多线程 参数已经传入构造方法 进入run方法时参数却被改变 请教各位大神:我在for循环里面执行线程,遇到一个问题,代码如下:private static final ExecutorService executors = Executors.newScheduledThreadPool(10);......for(...){executors.execute(new PublishThread(map));}PublishThread实现了Runnable方法,它有一个私有成			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGJVep.html" rel="bookmark" class="title">libcurl中使用curl&lowbar;easy&lowbar;getinfo 产生段错误分析</a>
					<div>
						最近再写一个hsf的代理程序.需要使用libcurl与后端的nginx通信.程序编写过程中遇到一个蹊跷的问题. 调用 code = curl_easy_getinfo(curl, CURLINFO_R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOkwQz.html" rel="bookmark" class="title">c编译-c语言sizeof操作符的问题</a>
					<div>
						问题描述 c语言sizeof操作符的问题 sizeof后面加函数名为什么结果会是1,求大神详细讲解原因,不要说不能加,因为编译运行出来了结果啊,总有原因的 解决方案 http://segmentfau ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjay6z.html" rel="bookmark" class="title">做站长，你准备好了吗？</a>
					<div>
						站长 当你确定建网站时,你不必急着马上找程序建站,还必须先评估一下你建的这个网站是否有前途,是否能做大. 1  你能否用语言清晰地描述出你的网站的大体构想?你应该能用很少的文字将你的想法描述出来.根据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGQgOM.html" rel="bookmark" class="title">使用GUID作为数据表主键的好处</a>
					<div>
						guid|数据 使用GUID作为数据表主键的好处  数据表主健通常采用以下三种方式:   1.         自动递增值. 2.         唯一名称.这个是使用自己定义的算法来生成一个唯一序列 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaOkJp.html" rel="bookmark" class="title">用asp&period;net画饼图&lpar;可用于各种投票程序&rpar;</a>
					<div>
						//用asp.net画饼图(可用于各种投票程序)//和asp相比asp.net拥有更强大的功能,使用gdi+可以轻易实现以前很多不能办到的图形功能.//首先在c:\中建库mess.mdb,并建表tit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZjg4z.html" rel="bookmark" class="title">实现性能目标的几种方法</a>
					<div>
						性能 第一次在这里写BLOG,希望不要被大家取笑!一. 调整程序代码1.避免多次读取相同数据 在循环语句中不要包含无端重复执行的代码,如:while ( dr.read()){ if(dr.item[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQleGz.html" rel="bookmark" class="title">ExtJs Grid分页时序号自增的实现</a>
					<div>
						ExtJs Grid分页时,默认情况下每页的序号都是从1起始的,这往往不符合我们的习惯.这里实现了序 号的自动增加. 先看效果图: 实现步骤如下: 1.定义全局变量. var record_start ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg2mZb.html" rel="bookmark" class="title">Java IO系统总结</a>
					<div>
						1 Java IO版本 Java库的IO分为输入/输出两部分. 早期的Java 1.0版本的输入系统是InputStream及其子类,输出系统是OutputStream及其子类. 后来的Java 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1a2Xz.html" rel="bookmark" class="title">如何应用CDbl&lpar;&rpar;函数实现年度新闻人物评选</a>
					<div>
						  &lt;!-- #include file=&quot;Conn/conn.asp&quot; --&gt;      &lt;% sql=&quot;select sum(Numbers) as ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGmR1b.html" rel="bookmark" class="title">Win8&period;1无线网络不稳定&sol;掉线怎么办</a>
					<div>
						  右键系统右下角网络图标-打开网络和共享中心 进入网络和共享中心面板-更改适配器设置 右键当前接入的WIFI网络-状态 WLAN状态-无线属性 安全选项卡-高级设置 勾选 为此网络启动联邦信息处理标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oKDRb.html" rel="bookmark" class="title">xp系统下创建Image类型时出现内存溢出</a>
					<div>
						问题描述 在xp系统下创建Image类型时出现内存溢出(System.OutOfMemoryException),在win7下同样的代码却没有问题.CardImage=Image.FromFile(& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o4n3b.html" rel="bookmark" class="title">【对标TensorFlow】阿里公开内部超大规模分布式机器学习平台</a>
					<div>
						近年来,随着&quot;大&quot;数据及&quot;大&quot;模型的出现,学术界和工业界对分布式机器学习算法引起了广泛关注.针对这一刚需,阿里集团和蚂蚁金服设计了自己的分布式平台--鲲鹏.鲲鹏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6wodb.html" rel="bookmark" class="title">Python、Javascript中的闭包比较&lowbar;python</a>
					<div>
						同为脚本语言,python和Javascript具有相似的变量作用域,不像php,函数的内部的所有变量和外部都是隔绝的,也就是说,函数要想处理其外部的数据,必须使用参数把需要处理的数据传递进来(使用g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3wP4z.html" rel="bookmark" class="title">安卓用线程怎么实现viewpager自动切换</a>
					<div>
						问题描述 安卓用线程怎么实现viewpager自动切换 安卓用线程怎么实现viewpager自动切换. 解决方案 你干嘛用线程,它里面实现好了呀,在View尽量不要使用线程,没必要,因为有invali ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN71A7p.html" rel="bookmark" class="title">java-关于xml解析&amp;amp&semi;amp&semi;lt&semi;&excl;&lbrack;CDATA&lbrack; &rsqb;&rsqb;</a>
					<div>
						问题描述 关于xml解析&lt;![CDATA[ ]] 我从一个数据平台接收消息 获取到的消息格式如下 //我通过xpath获取到节点. document = DocumentHelper.parse ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PGdqp.html" rel="bookmark" class="title">《51单片机应用开发范例大全&lpar;第3版&rpar;》&mdash;&mdash;第1章 单片机C语言开发基础   1&period;1 MCS-51单片机硬件基础</a>
					<div>
						第1章 单片机C语言开发基础 单片微型计算机(Single Chip Micro Computer)现已正名为微控制器(MCU,Micro Controller Unit),单片机的称谓只是其习惯称呼 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z2Vap.html" rel="bookmark" class="title">急！！！请大家帮我看一下代码，哪错了~这是点击一个添加按钮的代码</a>
					<div>
						问题描述 protectedvoidButton2_Click(objectsender,EventArgse){stringname=this.T168.Value;stringa=this.D82 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV02DlM.html" rel="bookmark" class="title">&ast;ST炎黄重组再生波折南方报业急借壳</a>
					<div>
						本报记者 梁裕 深圳报道 暂停上市5年之久的*ST炎黄(000805)在今年4月底筹划了第二次重组,南方报业集团欲借壳该公司重组上市.然而本该是5月底就完成的重组计划,目前却被延期. 记者从有关渠道了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoxr9M.html" rel="bookmark" class="title">急求大神！~java poi 在 excel中每满6万行生成一个新的sheet</a>
					<div>
						问题描述 急求大神!~java poi 在 excel中每满6万行生成一个新的sheet 急求大神!~java poi 在 excel中每满6万行生成一个新的sheet(并且在新sheet继续后面的输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RqDaz.html" rel="bookmark" class="title">性能-c&num;中的委托相关的问题</a>
					<div>
						问题描述 c#中的委托相关的问题 this.Invoke(new Action(delegate(){ })):因为执行次数过多导致程序性能变差,反应迟缓,能否有什么方法能先设置好这个方法所需执行的代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNn4oPM.html" rel="bookmark" class="title">哥德巴赫猜想，c&plus;&plus;，判断条件求助</a>
					<div>
						问题描述 哥德巴赫猜想,c++,判断条件求助 程序体如下: #include using namespace std; /* run this program using the console pa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44ROPz.html" rel="bookmark" class="title">基于JQuery的asp&period;net树实现代码&lowbar;jquery</a>
					<div>
						本tree的数据从sql的表中提取而来,sql表的结构如下: 上面的表中  parentmodeuleID是代表父ID的标志,如果当前节点为根节点,则规定为0.  然后就是如何将上面的单表来组成树状结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOon4b.html" rel="bookmark" class="title">asp&period;net url 伪静态设置方法&lowbar;实用技巧</a>
					<div>
						1.打开IIS管理,右击站点属性. 2.切换到&quot;主目录&quot;,点&quot;配置&quot;按纽. 3.打开应用程序配置,点&quot;添加&quot;按纽. 4.在可执行文件处输入A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVkm7z.html" rel="bookmark" class="title">一个具体的程序开发问题</a>
					<div>
						问题描述 一个具体的程序开发问题 一个具体的程序开发问题一个具体的程序开发问题一个具体的程序开发问题一个具体的程序开发问题					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG12XeM.html" rel="bookmark" class="title">vb-该怎么做啊？继续解答！</a>
					<div>
						问题描述 该怎么做啊?继续解答! 一个窗体一个文本框怎么实现替换.查找.查找下一个.修改后提示保存.转到.撤销等功能呢? 解决方案 http://wenku.baidu.com/link?url=zR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YemLb.html" rel="bookmark" class="title">催你升级系统的&OpenCurlyDoubleQuote;获取Windows 10&rdquo;应用又有了新版本</a>
					<div>
						微软刚刚对KB3035583进行了更新--就是专为Window 7和8.1用户准备的,&quot;非常著名&quot;的&quot;获取Windows 10&quot;应用,专门催促这些用户做系统升级 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wQvXz.html" rel="bookmark" class="title">多人通话能否抢占下一个移动入口？</a>
					<div>
						2014年底,移动互联网在经历爆发式发展的三年之后,已进入一个崭新的阶段.在前三年间,微信让短信式微,并击退了竞争者易信.来往,裹挟着腾讯各式各样的入口式服务,一举成为国内毫无争议的第一大APP,移动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWn4wp.html" rel="bookmark" class="title">复旦专家质疑欧姆龙血压计测量不准</a>
					<div>
						早报记者 韩晓蓉 实习生 李路 赵越 复旦(微博)大学医院管理研究所副所长章滨云在微博上发帖征集电子血压计不准的实用案例,引发热议.章滨云要求企业应该建立主动召回制度,当事企业欧姆龙昨天发布了一则&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YEXjp.html" rel="bookmark" class="title">新人报道，以后也属于码农了</a>
					<div>
						问题描述 准备去传智播客培训一下java去你们说怎么样?我现在也在一个培训机构,不过还没有签合同的,都是贷款的了现在培训的有没有好一点的建议呢企鹅:837691512 解决方案 解决方案二:http: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWPy8z.html" rel="bookmark" class="title">100分求一个解决方法&comma;救命&comma;在线急等&excl;</a>
					<div>
						问题描述 我昨天下了一个DXperience-7.2.5.exe但是一直都不能用,我求一个破解的方法,哪位大哥,能给我一个答案呢,再线等我是从这个页面下载的http://www.devexpress. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
